Subject: why umask(0) in etc/afpd/main.c?

From: R Matthew Emerson <[email-masked]>
Date: 23 Jun 2000 17:10:04 -0400

I'm running netatalk-1.4b2+asun2.1.3 on FreeBSD 4.x.

I'm using a Powerbook G3 running MacOS 9.0.4 as the client.
I noticed that when I connect from the client, a directory
called "TheVolumeSettingsFolder", with mode 2777, is created
on the server.

That file shouldn't be world-writable.  I presume that the
call to umask(0) in etc/afpd/main.c is responsible for this.
There is a comment by this line that says "so inherited file
permissions work right," but I don't understand what concern
this is supposed to solve.

Anyone have any suggestions?

-matt

-- 
Matt Emerson <[email-masked]>
Strange things are afoot at the Circle K.